import React from 'react';
function getExtraNode(extra) {
  var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
    params = _ref.params,
    className = _ref.className;
  var ExtraNode = null;
  if ( /*#__PURE__*/React.isValidElement(extra)) {
    ExtraNode = extra;
  } else if (typeof extra === 'function') {
    ExtraNode = extra(params);
  } else {
    return null;
  }
  return /*#__PURE__*/React.createElement("div", {
    className: className
  }, ExtraNode);
}
export default getExtraNode;